Skip to main content
`Ctrl`+`K`

# SLSQP

class astropy.modeling.optimizers.SLSQP

  Bases: `Optimization`

  Sequential Least Squares Programming optimization algorithm.

  The algorithm is described in [1]. It supports tied and fixed parameters, as well as bounded constraints. Uses `scipy.optimize.fmin_slsqp`.

  References

  [1]

  http://www.netlib.org/toms/733

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(objfunc, initval, fargs, **kwargs) | Run the solver.

  Attributes Documentation

  supported_constraints = ['bounds', 'eqcons', 'ineqcons', 'fixed', 'tied']

  Methods Documentation

  __call__(objfunc, initval, fargs, **kwargs)

    Run the solver.

    Parameters:
      objfunc `python:callable()`

        objection function

      initval python:iterable

        initial guess for the parameter values

      fargs `python:tuple`

        other arguments to be passed to the statistic function

      kwargs `python:dict`

        other keyword arguments to be passed to the solver